#!/usr/bin/sh
PATH=/bin:/usr/bin:/sbin:/usr/sbin:/usr/local/bin

hbasedef=/var/CommuniGate/

curuser=`whoami`
if [ $curuser != root ]; then
	echo "You need to be root to run this script!"
	echo "Try sudo sh INSTALL.sh"
	exit;
fi

echo "If this script prompts you for Password:, simply enter your Admin password."
echo ""

echo -n "Insert path to CommuniGate Pro Basedir (Press RETURN for default [$hbasedef]):"
read hbase
if [ "$hbase" = "" ]; then
  hbase=$hbasedef
fi

if [ -f /usr/local/vscanx/vscanx ]; then	
	if [ -d "$hbase" ]; then
			# Backup
		if [ -f "${hbase}virusscan-fork.pl" ]; then
			echo "Backing up old virusscan"
			sudo mv ${hbase}virusscan-fork.pl ${hbase}virusscan-fork.pl.backup;
		fi
		if [ -f "${hbase}virusscan.pm" ]; then
			sudo mv ${hbase}virusscan.pm ${hbase}virusscan.pm.backup;
		fi

		echo "Installing virusscan scripts"
		sudo cp virusscan* $hbase
		sudo chmod ogu+x "${hbase}virusscan-fork.pl"
		#sudo chmod ogu+x "${hbase}virusscan-thread.pl"
		sudo chmod ogu+x "${hbase}virusscan.pm"
		
		if [ -d "/var/log/virii" ]; then
			# nothing to do
			a=aaa;
		else
			sudo mkdir /var/log/virii;
		fi
		
		sudo chmod ogu+w /var/log/virii
		sudo touch /var/log/virus.log
		sudo chmod ogu+w /var/log/virus.log
		
		if [ -f "${hbase}errormsg.txt" ]; then
			echo "Using existing message template: errormsg.txt";
		else
			echo "installing template: errormsg.txt"
			sudo cp errormsg.txt $hbase;
		fi
		
		if [ -f "${hbase}notify.txt" ]; then
			echo "Using existing message template: notify.txt";
		else
			echo "installing template: notify.txt"
			sudo cp notify.txt $hbase;
		fi
		
		echo "Scripts and Templates installed into $hbase:"
		
		echo "Adjusting basedirectory in scripts"
		#echo "by replacing $hbasedef with $hbase in ${hbase}virusscan-fork.pl"
		
		sudo perl -i -pe "s|$hbasedef|$hbase|g" ${hbase}virusscan-fork.pl
		#sudo perl -i -pe "s|$hbasedef|$hbase|g" ${hbase}virusscan-thread.pl
		
		echo "Installation Done!"
		echo -n "Press any Key to continue with the Instructions for setting up a Rule"
		read conti
		echo ""
		more RULES;
	else
		echo "ERROR!!! CommuniGate Base dir \"$hbase\" not found!";
	fi
else
	echo "It doesn't seem you have VIREX installed. Please install virex first!";
fi
